View Issue Details

IDProjectCategoryView StatusLast Update
0002947SymmetricDSBugpublic2019-12-18 13:36
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.7 
Target Version3.8.12Fixed in Version3.8.12 
Summary0002947: Auto resolve foreign key violation fails when table in different catalog or schema
DescriptionThe auto resolve foreign key feature cannot send the missing row if the table is located within a different catalog or schema than the default one.
Additional InformationThe feature is enabled by auto.resolve.foreign.key.violation=true parameter by default. When a row attempts to load and a foreign key violation occurs, it acknowledges the error to the source system, which will attempt to create a reload batch containing the missing row.
TagsNo tags attached.

Relationships

related to 0004212 closedelong Resolve foreign key violation can pick up table from wrong catalog or schema 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 01aaf297

2016-12-21 20:17:53

admin

Details Diff
0002947: Auto resolve foreign key violation fails when table in
different catalog or schema
Affected Issues
0002947
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: 3.8 d280f9e5

2016-12-28 15:54:18

mmichalek

Details Diff
0002947: Auto resolve foreign key violation fails when table in
different catalog or schema
Affected Issues
0002947
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2016-12-21 20:17 elong New Issue
2016-12-21 20:17 elong Status new => assigned
2016-12-21 20:17 elong Assigned To => elong
2016-12-21 21:00 admin Changeset attached => SymmetricDS 3.8 01aaf297
2016-12-28 16:00 mmichalek Changeset attached => SymmetricDS 3.8 d280f9e5
2016-12-30 08:08 chenson Status assigned => resolved
2016-12-30 08:08 chenson Fixed in Version => 3.8.12
2016-12-30 08:08 chenson Resolution open => fixed
2016-12-30 08:10 chenson Status resolved => closed
2019-12-18 13:36 elong Relationship added related to 0004212